Name: localsend
Version: 1.12.0
Release: %autorelease
Summary: An open source cross-platform alternative to AirDrop
BuildRequires: binutils
BuildRequires: tar
BuildRequires: patchelf
Requires: libappindicator
Requires: libappindicator-gtk3

License: MIT
Source0: https://github.com/localsend/localsend/releases/download/v%{version}/LocalSend-%{version}-linux-x86-64.deb

%description
LocalSend is a cross-platform app that enables secure communication between devices using a REST API and HTTPS encryption. Unlike other messaging apps that rely on external servers, LocalSend doesn't require an internet connection or third-party servers, making it a fast and reliable solution for local communication.

%install
mkdir -p %{buildroot}/%{_datadir}
mkdir -p %{buildroot}/%{_bindir}
ar x %{SOURCE0}
tar -xf data.tar.xz
cp -rv usr/share/* %{buildroot}/%{_datadir}/
patchelf --force-rpath --set-rpath %{_libdir}/x86_64-linux-gnu/ %{buildroot}/%{_datadir}/localsend_app/lib/*

%post
%{__ln_s} -f %{_datadir}/localsend_app/localsend_app %{_bindir}/localsend_app
chmod +x %{_bindir}/localsend_app

%files
%ghost %{_bindir}/localsend_app
%{_datadir}/localsend_app
%{_datadir}/applications/localsend_app.desktop
%{_datadir}/icons/hicolor/128x128/apps/localsend_app.png
%{_datadir}/icons/hicolor/256x256/apps/localsend_app.png

%postun
case "$1" in
  0) # last one out put out the lights
    rm -f %{_bindir}/localsend_app
  ;;
esac

%changelog
%autochangelog
